Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004913 [JEDI VCL] 00 JVCL Components minor always 2009-09-01 09:29 2009-09-23 09:50
Reporter geby View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004913: copy&paste in runtime designer
Description Place TMemo component to a runtime designer surface (TJvDesignPanel). Press ctrl+c. Then press ctrl+v.

I got EReadError in DesignLoadComponentFromBinaryStream in JvDesignClip unit at line:

Result := ReadRootComponent(InComponent);

...because readed component have no parent handle. (InComponent have nil at input.)
Additional Information
Tags No tags attached.
Attached Files zip file icon jvclbug.zip [^] (622,741 bytes) 2009-09-10 13:07

- Relationships

-  Notes
(0016069)
obones (administrator)
2009-09-09 19:37

Hello,

We would really like to have the zipped sources of a sample application showing this.
(0016084)
geby (reporter)
2009-09-10 13:09

I attached sample application.

Run it and place TMemo on designer.
Then click the icon for Copy. Click the icon for Paste and see the exception.

When you try this with TButton, all is OK.

Thanks!
(0016144)
obones (administrator)
2009-09-22 16:48

Thanks, I'm seeing this as well (SVN, BDS2006)
(0016157)
obones (administrator)
2009-09-23 09:50

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2009-09-01 09:29 geby New Issue
2009-09-09 19:37 obones Note Added: 0016069
2009-09-09 19:37 obones Status new => feedback
2009-09-10 13:07 geby File Added: jvclbug.zip
2009-09-10 13:09 geby Note Added: 0016084
2009-09-22 16:48 obones Note Added: 0016144
2009-09-22 16:48 obones Status feedback => confirmed
2009-09-23 09:50 obones Note Added: 0016157
2009-09-23 09:50 obones Status confirmed => resolved
2009-09-23 09:50 obones Fixed in Version => Daily / SVN
2009-09-23 09:50 obones Resolution open => fixed
2009-09-23 09:50 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker